cURL
curl --request GET \
--url https://api.abusix.com/beta/guardian-ops/cases/{caseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.abusix.com/beta/guardian-ops/cases/{caseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.abusix.com/beta/guardian-ops/cases/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "<string>",
"event_count": 123,
"first_event_date": "2023-11-07T05:31:56Z",
"id": "<string>",
"last_event_date": "2023-11-07T05:31:56Z",
"state": "<string>",
"tenant_id": "<string>",
"assignee_user_id": "<string>",
"contract_id": "<string>",
"event_ips": [
"<string>"
],
"event_reporters": [
"<string>"
],
"event_tags": [
"<string>"
],
"event_types": [
"<string>"
],
"metadata": {},
"playbook_id": "<string>",
"playbook_step": "<string>",
"playbook_version": 123
}This response has no body data.This response has no body data.This response has no body data.Cases
Get case
GET
/
beta
/
guardian-ops
/
cases
/
{caseId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 response
Timestamp when the case was created
Customer identifier
Total number of events in this case
Timestamp of the first event
Unique case identifier
Timestamp of the most recent event
Current state of the case: NEW, IN_PROGRESS, RESOLVED, or CLOSED
Tenant identifier
User ID of the assigned user
Contract identifier
IP addresses associated with events
Email addresses of event reporters
Tags associated with events
Types of events in this case
Additional case metadata
Associated playbook identifier
Current playbook step
Playbook version number